import { DeepClient, SerialOperation } from '@deep-foundation/deeplinks/imports/client';
import { SpeakOptions } from '@capacitor/screen-reader';
/**
 * Gets serial operations to insert SpeakOptions
 *
 * @example
```ts
const serialOperations = await getSpeakOptionsInsertSerialOperations({
  deep,
  speakOptions: {
    value: "Hello world",
    language: "en"
  }
});
await deep.serial({
  operations: serialOperations
})
```
 */
export declare function getSpeakOptionsInsertSerialOperations(param: InsertSpeakOptionsParam): Promise<Array<SerialOperation>>;
export interface InsertSpeakOptionsParam {
    reservedLinkIds?: {
        speakOptionsLinkId: number;
        containLinkId: number;
    };
    typeLinkIds?: {
        containTypeLinkId?: number;
        speakOptionsTypeLinkId?: number;
    };
    deep: DeepClient;
    speakOptions: SpeakOptions;
    containerLinkId?: number | undefined | null;
    containValue?: string | undefined;
}
